- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions
GLM_GTX_simd_mat4: SIMD mat4 type and functions
GTX Extensions (Experimental)

SIMD implementation of mat4 type. More...

## Functions
float | determinant (detail::fmat4x4SIMD const &m)
| GLM_ALIGNED_STRUCT (16) fmat4x4SIMD
detail::fmat4x4SIMD | inverse (detail::fmat4x4SIMD const &m)
detail::tmat4x4< float > | mat4_cast (detail::fmat4x4SIMD const &x)
detail::fmat4x4SIMD | matrixCompMult (detail::fmat4x4SIMD const &x, detail::fmat4x4SIMD const &y)
detail::fmat4x4SIMD | outerProduct (detail::fvec4SIMD const &c, detail::fvec4SIMD const &r)
detail::fmat4x4SIMD | transpose (detail::fmat4x4SIMD const &x)

## Detailed Description

SIMD implementation of mat4 type.

<glm/gtx/simd_mat4.hpp> need to be included to use these functionalities.

## Function Documentation

float glm::gtx::simd_mat4::determinant | ( | detail::fmat4x4SIMD const & | m | ) |

Return the determinant of a mat4 matrix.

(From GLM_GTX_simd_mat4 extension).

GLM_ALIGNED_STRUCT | ( | 16 |  | ) |

4x4 Matrix implemented using SIMD SEE intrinsics.

4-dimensional vector implemented using SIMD SEE intrinsics.

Definition at line 36 of file simd_mat4.hpp.

detail::fmat4x4SIMD glm::gtx::simd_mat4::inverse | ( | detail::fmat4x4SIMD const & | m | ) |

Return the inverse of a mat4 matrix.

(From GLM_GTX_simd_mat4 extension).

detail::tmat4x4<float> glm::gtx::simd_mat4::mat4_cast | ( | detail::fmat4x4SIMD const & | x | ) |

Convert a simdMat4 to a mat4.

(From GLM_GTX_simd_mat4 extension)

detail::fmat4x4SIMD glm::gtx::simd_mat4::matrixCompMult | ( | detail::fmat4x4SIMD const & | x,
|  | detail::fmat4x4SIMD const & | y
| ) |  |

Multiply matrix x by matrix y component-wise, i.e., result[i][j] is the scalar product of x[i][j] and y[i][j].

(From GLM_GTX_simd_mat4 extension).

detail::fmat4x4SIMD glm::gtx::simd_mat4::outerProduct | ( | detail::fvec4SIMD const & | c,
|  | detail::fvec4SIMD const & | r
| ) |  |

Treats the first parameter c as a column vector and the second parameter r as a row vector and does a linear algebraic matrix multiply c * r.

(From GLM_GTX_simd_mat4 extension).

detail::fmat4x4SIMD glm::gtx::simd_mat4::transpose | ( | detail::fmat4x4SIMD const & | x | ) |

Returns the transposed matrix of x (From GLM_GTX_simd_mat4 extension).